Subject: bug#8751: closed (Re: bug#8751: 24.0.50; CCL is broken)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 May 2011 02:17:02 +0000

Your bug report

#8751: 24.0.50; CCL is broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8751: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8751
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8751: 24.0.50; CCL is broken
From: Paul Eggert <[email-masked]>
To: Kazuhiro Ito <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>, [email-masked]
Date: Mon, 30 May 2011 19:16:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> Here is a quick fix for actual code, but I don't check whether there
> is other problems.

Thanks, I came up with something similar independently, and installed
a fix into the trunk (bzr 104441).  This fix adjusted the comment as
best I could.

Bug#8719 and Bug#8751 are related so I'll CC: this to bug 8719 to give
Kenichi Handa a heads-up.

Subject: 24.0.50; CCL is broken
From: Kazuhiro Ito <[email-masked]>
To: [email-masked]
Date: Sat, 28 May 2011 21:49:35 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Below code raises error "Error in CCL program at 4th code" on trunk.

(progn
  (define-ccl-program ccl-test
    '(1 (loop
	 (read r0)
	 (write-repeat r0))))
  (ccl-execute-on-string 'ccl-test (make-vector 9 0) "_"))

-- 
Kazuhiro Ito